Skip to content

Resident Portal (v0)

Overview

Resident portals are provided to the unit owners to view and update unit details and secrets. The Resident Portal APIs support these functions. These provide details on the property, units and DPSK secrets associated. The APIs also support updates of contact details and DPSK secrets. APIs are authenticated using a specific token associated to the unit. These tokens are generated as the unit is created.

Download OpenAPI description
Languages
Servers
RUCKUS One API host for North American region.
https://api.ruckus.cloud
RUCKUS One API host for European region.
https://api.eu.ruckus.cloud
RUCKUS One API host for Asian region.
https://api.asia.ruckus.cloud

Resident Portal Login API

Manages resident portal access.

Operations

Resident Portal UI Configuration

Provides resident portal UI configuration.

Operations

Resident Portal Configuration

Manages resident portal configuration.

Operations

Gets Property Details

Request

Gets details of the property.

Path
propertyIdstring(uuid)required

Property identifier.

No request payload

Responses

Ok

Bodyapplication/hal+json
guidstring

Unique identifier for the property.

namestring

Display name of the property.

addressstring

Physical address of the property.

descriptionstring

Detailed description of the property.

managementNamestring

Name of the property management company.

managementPhonestring

Phone number of property management.

managementEmailstring

Email address of property management.

tenantPortalHelpTextstring

Help text defined for the property.

tenantPortalAnnouncementsstring

Announcement defined for the property.

allowSeparateGuestSecretboolean

Allow separate secret for guest users.

enforceMaxUnitsboolean

Restrict number of units.

maxUnitsinteger(int64)

Maximum number of units allowed.

sendEmailboolean

Flag to send email notifications.

sendSmsboolean

Flag to send SMS notifications.

ssidsArray of strings

List of available network SSIDs.

_linksobject(Links)
Response
application/hal+json
{ "guid": "string", "name": "string", "address": "string", "description": "string", "managementName": "string", "managementPhone": "string", "managementEmail": "string", "tenantPortalHelpText": "string", "tenantPortalAnnouncements": "string", "allowSeparateGuestSecret": true, "enforceMaxUnits": true, "maxUnits": 0, "sendEmail": true, "sendSms": true, "ssids": [ "string" ], "_links": { "property1": { … }, "property2": { … } } }

Gets User Interface Configurations

Request

Gets user interface configurations for the portal.

Path
propertyIdstring(uuid)required

Property identifier.

No request payload

Responses

Ok

Bodyapplication/hal+json
apiAllowedboolean

Allow access to resident portal interfaces.

tenantSetDpskboolean

Allow resident to set secrets.

logoFileNamestring

Name of logo file.

tenantTitlestring

Title displayed on resident portal.

tenantSubtitlestring

Subtitle displayed on resident portal.

announcementsstring

Announcements displayed on resident portal.

helpTextstring

Help text displayed on resident portal.

portalAllowedboolean

Allow resident portal for the unit.

mainColorstring

Main color of resident portal.

accentColorstring

Accent color of resident portal.

separatorColorstring

Separator color of resident portal.

textColorstring

Text color of resident portal.

iconFileNamestring

Name of the icon file.

loginTextstring

Login text displayed on resident portal.

_linksobject(Links)
Response
application/hal+json
{ "apiAllowed": true, "tenantSetDpsk": true, "logoFileName": "string", "tenantTitle": "string", "tenantSubtitle": "string", "announcements": "string", "helpText": "string", "portalAllowed": true, "mainColor": "string", "accentColor": "string", "separatorColor": "string", "textColor": "string", "iconFileName": "string", "loginText": "string", "_links": { "property1": { … }, "property2": { … } } }

Gets Resident Portal File

Request

Allows the user to download resident portal file with the given type.

Path
propertyIdstring(uuid)required

Property identifier.

typestringrequired

Resident Portal file type.

No request payload

Responses

Ok

Body
string(byte)
Response
No response example

Resident Portal Unit API

Manages units associated to the resident portal.

Operations

Resident Portal Unit Users API

Manages users of unit associated to the resident portal.

Operations